grsecurity

Il y a quelque temps Dabo Je parle de noyau grsecurity dans lequel sont mis en œuvre de nombreuses mesures de sécurité.

Qu'est-ce que grsecurity?

Grsecurity® est une amélioration globale de sécurité pour le noyau Linux, défend contre un large éventail de menaces de sécurité grâce à un contrôle d'accès intelligent, empêche le débordement de la mémoire et un certain nombre d'autres problèmes qui rend le système plus robuste nécessite généralement aucune configuration. Il a été activement développé et maintenu sur le passé 15 vieux ans.

Comment puis-je installer

Debian dans son instable a grsecurity dans leurs dépôts est prévue dans la prochaine version stable déjà venu, distributions dérivées de Debian comme Ubuntu ou Linux Mint accueilleront plus tard.

I dans le manuel suivant, je vais vous montrer comment installer debian.

Rappelez avant de commencer les couleurs signifie dans les applications et les systèmes

textes écrits dans la ligne de commande: bleu
Sortie dans la ligne de commande: Verde
Les noms de fichiers et le contenu du fichier: Brun

Tout d'abord installer debian jessie de l'image netinstall

Une fois que le fichier est installé modifié /etc / apt / sources.list et je laisse de la manière suivante:

deb http://ftp.es.debian.org/debian/ sid principale
deb-src http://ftp.es.debian.org/debian/ sid principale

Le reste des lignes et laissez-les changer jessie commenté par ordre sid pour mettre à jour la distribution.

Répartition de la mise à jour exécutant les commandes suivantes en tant que root:

apt-get update
apt-get dist-upgrade
apt-get autoremove
réinitialiser

installer Grsecurity, version du noyau peut varier pour savoir ce que le vôtre je cours

apt-cache search grsecurity
.......
linux-image-4.4.0-1-grsec-amd64 - Linux 4.4 pour les ordinateurs 64 bits, protection grsecurity
.......

Avec cela, il est la version que je dois dans mon cas 4.4.0-1

grsecurity installé, remplace la version pour le vôtre.

apt-get install linux-grsec base linux-grsec-source-4.4-4.4.0-1 linux-grsec-support linux-headers-4.4.0-1-common-grsec linux-headers-4.4.0-1- grsec-amd64 linux-image-4.4.0-1-grsec-amd64

Redémarrez puis pour vérifier que grsecurity travaille terme:

uname -a
aplicacionesysistemas Linux 4.4.0-1-grsec-amd64 #1 Debian junior grsec201603171922 + 4.4.6-1 + 1 (2016-03-19 x86_64 GNU / Linux

J'espère que vous trouverez utile et merci pour lire notre blog.


Au sujet de Ignacio Alba Obaya

Micro-ordinateur et de la formation technique pour l'emploi. Amant de nouvelles technologies. GNU Manager / Linux et Windows.

Laisser un commentaire